Uploaded image for project: 'SonarLint Core Library'
  1. SonarLint Core Library
  2. SLCORE-222

When an outdated/unsupported plugin is skipped, also skip depending plugins

    Details

    • Type: Task
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 4.5
    • Component/s: Core
    • Labels:
      None

      Description

      If the server contains an outdated plugin + a custom plugin depending on it using the deprecated "basePlugin" feature, this error can appear:

      2019-01-09 16:12:59,324 [1524119]   INFO - ntellij.tasks.ServerUpdateTask - Error updating from server 'Sonar_XXX' 
      java.lang.NullPointerException
      	at org.sonarsource.sonarlint.core.plugin.PluginLoader.basePluginKey(PluginLoader.java:171)
      	at org.sonarsource.sonarlint.core.plugin.PluginLoader.defineClassloaders(PluginLoader.java:82)
      	at org.sonarsource.sonarlint.core.plugin.PluginLoader.load(PluginLoader.java:69)
      	at org.sonarsource.sonarlint.core.plugin.PluginRepository.start(PluginRepository.java:59)
      

      See thread:
      https://community.sonarsource.com/t/sonarlint-error-fetching-list-of-projects/5737

      Another case:
      https://community.sonarsource.com/t/sonarlint-not-working-on-eclipse-2018-12-4-10/6403

        Attachments

          Activity

            People

            • Assignee:
              julien.henry Julien Henry
              Reporter:
              julien.henry Julien Henry
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Due:
                Created:
                Updated:
                Resolved: